GET api/departmentapi/department/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
DepartmentViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| delay_between_scans | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| name | string |
None. |
|
| remark | string |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"contract_id": "32c74e61-a129-4ede-9229-8d053bc6800e",
"delay_between_scans": 1,
"id": "c3ba8b99-81d7-45f5-ad27-0b29451c87f1",
"item_wash_max": 1,
"name": "sample string 5",
"remark": "sample string 6",
"selected_nameplate_id": "c8f18833-9cbe-489b-b46e-49387e3f198d",
"selected_sticker_id": "586ce048-c5b0-421a-956f-42dd6e8bebee"
}
application/xml, text/xml
Sample:
<department xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <contract_id>32c74e61-a129-4ede-9229-8d053bc6800e</contract_id> <delay_between_scans>1</delay_between_scans> <id>c3ba8b99-81d7-45f5-ad27-0b29451c87f1</id> <item_wash_max>1</item_wash_max> <name>sample string 5</name> <remark>sample string 6</remark> <selected_nameplate_id>c8f18833-9cbe-489b-b46e-49387e3f198d</selected_nameplate_id> <selected_sticker_id>586ce048-c5b0-421a-956f-42dd6e8bebee</selected_sticker_id> </department>